/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kiwi.client.nibctrl;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.ImageIcon;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.JTextField;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.kiwi.client.metier.budget.EOOrgan;
import org.cocktail.kiwi.common.utilities.CocktailFormats;
import org.cocktail.kiwi.common.utilities.CocktailIcones;

import com.webobjects.eoapplication.client.EOClientResourceBundle;
import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class LbudSelectView extends javax.swing.JDialog {

    protected EODisplayGroup eod, eodLolf;
	protected ZEOTable myEOTable, myEOTableLolf;
	protected ZEOTableModel myTableModel, myTableModelLolf;
	protected TableSorter myTableSorter, myTableSorterLolf;
	private CellEditor 		myCellEditor = new CellEditor(new JTextField());

    /** Creates new form TemplateJDialog */
    public LbudSelectView(java.awt.Frame parent, boolean modal, EODisplayGroup displayGroup, EODisplayGroup displayGroupLolf) {
        super(parent, modal);

        eod = displayGroup;
        eodLolf = displayGroupLolf;
        
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewTable = new javax.swing.JPanel();
        tfFindCr = new javax.swing.JTextField();
        tfFindSousCr = new javax.swing.JTextField();
        tfLibelleLbud = new javax.swing.JTextField();
        tfPourcentage = new javax.swing.JTextField();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        tfTypeCredit = new javax.swing.JTextField();
        btnGetTypeCredit = new javax.swing.JButton();
        jLabel4 = new javax.swing.JLabel();
        tfLibelleImputation = new javax.swing.JTextField();
        btnGetImputation = new javax.swing.JButton();
        lblDisponible = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        tfConvention = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        tfCodeAnalytique = new javax.swing.JTextField();
        btnGetCodeAnalytique = new javax.swing.JButton();
        btnGetConvention = new javax.swing.JButton();
        btnDelCodeAnalytique = new javax.swing.JButton();
        btnDelConvention = new javax.swing.JButton();
        buttonValider = new javax.swing.JButton();
        buttonAnnuler = new javax.swing.JButton();
        tfFindUb = new javax.swing.JTextField();
        jLabel7 = new javax.swing.JLabel();
        tfLibelleModePaiement = new javax.swing.JTextField();
        btnGetModePaiement = new javax.swing.JButton();
        jLabel8 = new javax.swing.JLabel();
        viewTableLolf = new javax.swing.JPanel();
        btnAddAction = new javax.swing.JButton();
        btnDelAction = new javax.swing.JButton();
        jLabel9 = new javax.swing.JLabel();
        tfCodeMarche = new javax.swing.JTextField();
        btnGetCodeMarche = new javax.swing.JButton();
        btnGetCodeMarche1 = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("Saisie des données budgétaires");
        setResizable(false);

        viewTable.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));
        viewTable.setLayout(new java.awt.BorderLayout());

        tfFindCr.setFont(new java.awt.Font("Tahoma", 0, 12));

        tfLibelleLbud.setBackground(new java.awt.Color(204, 204, 255));
        tfLibelleLbud.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        tfPourcentage.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfPourcentage.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfPourcentageActionPerformed(evt);
            }
        });

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel1.setText("Pourcentage");

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Disponible");

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Type Crédit :");

        tfTypeCredit.setEnabled(false);
        tfTypeCredit.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfTypeCreditActionPerformed(evt);
            }
        });

        btnGetTypeCredit.setToolTipText("Sélectionner un type de crédit");

        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel4.setText("Imputation :");

        tfLibelleImputation.setEnabled(false);
        tfLibelleImputation.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfLibelleImputationActionPerformed(evt);
            }
        });

        btnGetImputation.setToolTipText("Sélectionner une imputation");

        lblDisponible.setForeground(new java.awt.Color(102, 102, 255));
        lblDisponible.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);

        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel5.setText("Convention :");

        tfConvention.setEnabled(false);
        tfConvention.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfConventionActionPerformed(evt);
            }
        });

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel6.setText("Code Analytique :");

        tfCodeAnalytique.setEnabled(false);
        tfCodeAnalytique.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfCodeAnalytiqueActionPerformed(evt);
            }
        });

        btnGetCodeAnalytique.setToolTipText("Ajouter un code analytique");

        btnGetConvention.setToolTipText("Ajouter une convention");

        btnDelCodeAnalytique.setToolTipText("Supprimer le code analytique sélectionné");

        btnDelConvention.setToolTipText("Supprimer la convention sélectionnée");

        buttonValider.setText("Valider");
        buttonValider.setToolTipText("Valider les informations budgétaires saisies");
        buttonValider.setFocusable(false);

        buttonAnnuler.setText("Annuler");
        buttonAnnuler.setToolTipText("Annuler la saisie");
        buttonAnnuler.setFocusable(false);

        tfFindUb.setFont(new java.awt.Font("Tahoma", 0, 12));

        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel7.setText("Mode Paiement :");

        tfLibelleModePaiement.setEnabled(false);
        tfLibelleModePaiement.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfLibelleModePaiementActionPerformed(evt);
            }
        });

        btnGetModePaiement.setToolTipText("Sélectionner un mode de paiement");

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel8.setText("Actions LOLF :");

        viewTableLolf.setLayout(new java.awt.BorderLayout());

        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel9.setText("Code nomenclature : ");

        tfCodeMarche.setEnabled(false);
        tfCodeMarche.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfCodeMarcheActionPerformed(evt);
            }
        });

        btnGetCodeMarche.setToolTipText("Ajouter une convention");

        btnGetCodeMarche1.setToolTipText("Ajouter une convention");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 276, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(11, 11, 11)
                                .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 87, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfPourcentage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 46, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(54, 54, 54)
                                .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 67, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(lblDisponible, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 159, Short.MAX_VALUE))
                            .add(layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, jLabel7, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, jLabel4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, jLabel3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 97, Short.MAX_VALUE))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(tfLibelleModePaiement, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 277, Short.MAX_VALUE)
                                    .add(tfTypeCredit, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 277, Short.MAX_VALUE)
                                    .add(tfLibelleImputation, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 277, Short.MAX_VALUE))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                    .add(btnGetModePaiement, 0, 0, Short.MAX_VALUE)
                                    .add(btnGetImputation, 0, 0, Short.MAX_VALUE)
                                    .add(btnGetTypeCredit, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, Short.MAX_VALUE))
                                .add(28, 28, 28))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createSequentialGroup()
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                                .add(jLabel5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                                .add(jLabel6, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 97, Short.MAX_VALUE))
                                            .add(jLabel9, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(tfCodeMarche, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 277, Short.MAX_VALUE)
                                            .add(tfConvention, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 277, Short.MAX_VALUE)
                                            .add(tfCodeAnalytique, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 277, Short.MAX_VALUE)))
                                    .add(layout.createSequentialGroup()
                                        .add(10, 10, 10)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(viewTableLolf, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 374, Short.MAX_VALUE)
                                            .add(layout.createSequentialGroup()
                                                .add(jLabel8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 107, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 267, Short.MAX_VALUE)))))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                        .add(org.jdesktop.layout.GroupLayout.TRAILING, btnAddAction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(org.jdesktop.layout.GroupLayout.TRAILING, btnDelAction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(layout.createSequentialGroup()
                                        .add(btnGetCodeMarche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .add(btnGetCodeMarche1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                        .add(layout.createSequentialGroup()
                                            .add(btnGetCodeAnalytique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                            .add(btnDelCodeAnalytique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                        .add(layout.createSequentialGroup()
                                            .add(btnGetConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                            .add(btnDelConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))))
                    .add(layout.createSequentialGroup()
                        .add(1, 1, 1)
                        .add(tfFindUb, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 51, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFindCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 51, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFindSousCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 114, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(tfLibelleLbud, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 467, Short.MAX_VALUE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(buttonAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 109, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(buttonValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 109, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.CENTER)
                            .add(tfFindSousCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfFindCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfFindUb, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(layout.createSequentialGroup()
                                .add(14, 14, 14)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                    .add(jLabel2)
                                    .add(jLabel1)
                                    .add(tfPourcentage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(lblDisponible, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .add(18, 18, 18)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.CENTER)
                                    .add(jLabel3)
                                    .add(tfTypeCredit, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(btnGetTypeCredit, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createSequentialGroup()
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                            .add(jLabel4)
                                            .add(tfLibelleImputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                                    .add(layout.createSequentialGroup()
                                        .add(4, 4, 4)
                                        .add(btnGetImputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                                .add(8, 8, 8)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                    .add(jLabel7)
                                    .add(tfLibelleModePaiement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(btnGetModePaiement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .add(18, 18, 18)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.CENTER)
                                    .add(btnDelCodeAnalytique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(btnGetCodeAnalytique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(jLabel6)
                                    .add(tfCodeAnalytique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                    .add(layout.createSequentialGroup()
                                        .add(btnDelConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .add(btnGetCodeMarche1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(layout.createSequentialGroup()
                                        .add(btnGetConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .add(btnGetCodeMarche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(layout.createSequentialGroup()
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                            .add(jLabel5)
                                            .add(tfConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                            .add(tfCodeMarche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                            .add(jLabel9))))
                                .add(18, 18, 18)
                                .add(jLabel8)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createSequentialGroup()
                                        .add(btnAddAction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(btnDelAction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(viewTableLolf, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                            .add(layout.createSequentialGroup()
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                    .add(layout.createSequentialGroup()
                        .add(11, 11, 11)
                        .add(tfLibelleLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(buttonValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(buttonAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-750)/2, (screenSize.height-414)/2, 750, 414);
    }// </editor-fold>//GEN-END:initComponents

private void tfPourcentageActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfPourcentageActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_tfPourcentageActionPerformed

private void tfTypeCreditActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfTypeCreditActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_tfTypeCreditActionPerformed

private void tfLibelleImputationActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfLibelleImputationActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_tfLibelleImputationActionPerformed

private void tfConventionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfConventionActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_tfConventionActionPerformed

private void tfCodeAnalytiqueActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfCodeAnalytiqueActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_tfCodeAnalytiqueActionPerformed

private void tfLibelleModePaiementActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfLibelleModePaiementActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfLibelleModePaiementActionPerformed

private void tfCodeMarcheActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfCodeMarcheActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfCodeMarcheActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                LbudSelectView dialog = new LbudSelectView(new javax.swing.JFrame(), true, null, null);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAddAction;
    private javax.swing.JButton btnDelAction;
    private javax.swing.JButton btnDelCodeAnalytique;
    private javax.swing.JButton btnDelConvention;
    private javax.swing.JButton btnGetCodeAnalytique;
    private javax.swing.JButton btnGetCodeMarche;
    private javax.swing.JButton btnGetCodeMarche1;
    private javax.swing.JButton btnGetConvention;
    private javax.swing.JButton btnGetImputation;
    private javax.swing.JButton btnGetModePaiement;
    private javax.swing.JButton btnGetTypeCredit;
    private javax.swing.JButton buttonAnnuler;
    private javax.swing.JButton buttonValider;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JLabel lblDisponible;
    private javax.swing.JTextField tfCodeAnalytique;
    private javax.swing.JTextField tfCodeMarche;
    private javax.swing.JTextField tfConvention;
    private javax.swing.JTextField tfFindCr;
    private javax.swing.JTextField tfFindSousCr;
    private javax.swing.JTextField tfFindUb;
    private javax.swing.JTextField tfLibelleImputation;
    private javax.swing.JTextField tfLibelleLbud;
    private javax.swing.JTextField tfLibelleModePaiement;
    private javax.swing.JTextField tfPourcentage;
    private javax.swing.JTextField tfTypeCredit;
    private javax.swing.JPanel viewTable;
    private javax.swing.JPanel viewTableLolf;
    // End of variables declaration//GEN-END:variables

    public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}

	public void setButtonValider(javax.swing.JButton buttonValider) {
		this.buttonValider = buttonValider;
	}

	public javax.swing.JLabel getLblDisponible() {
		return lblDisponible;
	}

	public void setLblDisponible(javax.swing.JLabel lblDisponible) {
		this.lblDisponible = lblDisponible;
	}

    public javax.swing.JTextField getTfCodeAnalytique() {
		return tfCodeAnalytique;
	}

    
    
	public ZEOTable getMyEOTableLolf() {
		return myEOTableLolf;
	}

	public void setMyEOTableLolf(ZEOTable myEOTableLolf) {
		this.myEOTableLolf = myEOTableLolf;
	}

	public ZEOTableModel getMyTableModel() {
		return myTableModel;
	}

	public void setMyTableModel(ZEOTableModel myTableModel) {
		this.myTableModel = myTableModel;
	}

	public ZEOTableModel getMyTableModelLolf() {
		return myTableModelLolf;
	}

	public void setMyTableModelLolf(ZEOTableModel myTableModelLolf) {
		this.myTableModelLolf = myTableModelLolf;
	}

	public javax.swing.JTextField getTfLibelleImputation() {
		return tfLibelleImputation;
	}

	public void setTfLibelleImputation(javax.swing.JTextField tfLibelleImputation) {
		this.tfLibelleImputation = tfLibelleImputation;
	}

	public javax.swing.JTextField getTfLibelleModePaiement() {
		return tfLibelleModePaiement;
	}

	public void setTfLibelleModePaiement(
			javax.swing.JTextField tfLibelleModePaiement) {
		this.tfLibelleModePaiement = tfLibelleModePaiement;
	}

	public void setTfCodeAnalytique(javax.swing.JTextField tfCodeAnalytique) {
		this.tfCodeAnalytique = tfCodeAnalytique;
	}

	public javax.swing.JTextField getTfConvention() {
		return tfConvention;
	}

	public void setTfConvention(javax.swing.JTextField tfConvention) {
		this.tfConvention = tfConvention;
	}

	public javax.swing.JTextField getTfFindCr() {
		return tfFindCr;
	}

	public void setTfFindCr(javax.swing.JTextField tfFindCr) {
		this.tfFindCr = tfFindCr;
	}

	public javax.swing.JTextField getTfFindSousCr() {
		return tfFindSousCr;
	}

	public void setTfFindSousCr(javax.swing.JTextField tfFindSousCr) {
		this.tfFindSousCr = tfFindSousCr;
	}

	public javax.swing.JTextField getTfFindUb() {
		return tfFindUb;
	}

	public void setTfFindUb(javax.swing.JTextField tfFindUb) {
		this.tfFindUb = tfFindUb;
	}

	public javax.swing.JTextField getTfLibelleLbud() {
		return tfLibelleLbud;
	}

	public void setTfLibelleLbud(javax.swing.JTextField tfLibelleLbud) {
		this.tfLibelleLbud = tfLibelleLbud;
	}

	public javax.swing.JTextField getTfPourcentage() {
		return tfPourcentage;
	}

	public void setTfPourcentage(javax.swing.JTextField tfPourcentage) {
		this.tfPourcentage = tfPourcentage;
	}

	public javax.swing.JTextField getTfTypeCredit() {
		return tfTypeCredit;
	}

	public void setTfTypeCredit(javax.swing.JTextField tfTypeCredit) {
		this.tfTypeCredit = tfTypeCredit;
	}
        
	
	public javax.swing.JButton getBtnAddAction() {
		return btnAddAction;
	}

	public void setBtnAddAction(javax.swing.JButton btnAddAction) {
		this.btnAddAction = btnAddAction;
	}

	public javax.swing.JButton getBtnDelAction() {
		return btnDelAction;
	}

	public void setBtnDelAction(javax.swing.JButton btnDelAction) {
		this.btnDelAction = btnDelAction;
	}

	public javax.swing.JButton getBtnDelCodeAnalytique() {
		return btnDelCodeAnalytique;
	}

	public void setBtnDelCodeAnalytique(javax.swing.JButton btnDelCodeAnalytique) {
		this.btnDelCodeAnalytique = btnDelCodeAnalytique;
	}

	public javax.swing.JButton getBtnDelConvention() {
		return btnDelConvention;
	}

	public void setBtnDelConvention(javax.swing.JButton btnDelConvention) {
		this.btnDelConvention = btnDelConvention;
	}

	public javax.swing.JButton getBtnGetCodeAnalytique() {
		return btnGetCodeAnalytique;
	}

	public void setBtnGetCodeAnalytique(javax.swing.JButton btnGetCodeAnalytique) {
		this.btnGetCodeAnalytique = btnGetCodeAnalytique;
	}

	public javax.swing.JButton getBtnGetConvention() {
		return btnGetConvention;
	}

	public void setBtnGetConvention(javax.swing.JButton btnGetConvention) {
		this.btnGetConvention = btnGetConvention;
	}

	public javax.swing.JButton getBtnGetImputation() {
		return btnGetImputation;
	}

	public void setBtnGetImputation(javax.swing.JButton btnGetImputation) {
		this.btnGetImputation = btnGetImputation;
	}

	public javax.swing.JButton getBtnGetModePaiement() {
		return btnGetModePaiement;
	}

	public void setBtnGetModePaiement(javax.swing.JButton btnGetModePaiement) {
		this.btnGetModePaiement = btnGetModePaiement;
	}

	public javax.swing.JButton getBtnGetTypeCredit() {
		return btnGetTypeCredit;
	}

	public void setBtnGetTypeCredit(javax.swing.JButton btnGetTypeCredit) {
		this.btnGetTypeCredit = btnGetTypeCredit;
	}

	public javax.swing.JButton getButtonAnnuler() {
		return buttonAnnuler;
	}

	public void setButtonAnnuler(javax.swing.JButton buttonAnnuler) {
		this.buttonAnnuler = buttonAnnuler;
	}

	public javax.swing.JButton getButtonValider() {
		return buttonValider;
	}

	/**
	 * 
	 */
    private void initGui() {
        
    	EOClientResourceBundle resourceBundle = new EOClientResourceBundle();
    	
    	buttonValider.setIcon((ImageIcon)resourceBundle.getObject("cktl_valid_16"));
        buttonAnnuler.setIcon((ImageIcon)resourceBundle.getObject("cktl_cancel_16"));

        btnGetTypeCredit.setIcon(CocktailIcones.ICON_SELECT_16);
        btnGetModePaiement.setIcon(CocktailIcones.ICON_SELECT_16);
        btnGetImputation.setIcon(CocktailIcones.ICON_SELECT_16);
        
        btnGetCodeAnalytique.setIcon(CocktailIcones.ICON_SELECT_16);
        btnGetConvention.setIcon(CocktailIcones.ICON_SELECT_16);
        btnDelCodeAnalytique.setIcon(CocktailIcones.ICON_DELETE);
        btnDelConvention.setIcon(CocktailIcones.ICON_DELETE);
        

        btnAddAction.setIcon(CocktailIcones.ICON_ADD);
        btnDelAction.setIcon(CocktailIcones.ICON_DELETE);

        Vector myCols = new Vector();

    	ZEOTableModelColumn	col = new ZEOTableModelColumn(eod, EOOrgan.ORG_UB_KEY, "UB", 50);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOOrgan.ORG_CR_KEY, "CR", 50);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOOrgan.ORG_SOUSCR_KEY, "SOUS CR", 100);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);


		myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		//myEOTable.addListener(myListenerContrat);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(new Color(230, 230, 230));
		myEOTable.setSelectionBackground(new Color(127,155,165));
		myEOTable.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTable), BorderLayout.CENTER);

        
        myCols = new Vector();

    	col = new ZEOTableModelColumn(eodLolf, "LOLF_CODE", "Code", 50);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodLolf, "LOLF_LIBELLE", "Libellé", 100);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodLolf, "POURCENTAGE", "%", 40);
    	col.setAlignment(SwingConstants.RIGHT);
		col.setFormatDisplay(CocktailFormats.FORMAT_DECIMAL);
		col.setFormatEdit(CocktailFormats.FORMAT_DECIMAL);
		col.setTableCellEditor(myCellEditor);			
		col.setEditable(true);    	myCols.add(col);


		myTableModelLolf = new ZEOTableModel(eodLolf, myCols);
		myTableSorterLolf = new TableSorter(myTableModelLolf);

		myEOTableLolf = new ZEOTable(myTableSorterLolf);
		//myEOTableLolf.addListener(myListenerContrat);
		myTableSorterLolf.setTableHeader(myEOTableLolf.getTableHeader());		

		myEOTableLolf.setBackground(new Color(230, 230, 230));
		myEOTableLolf.setSelectionBackground(new Color(127,155,165));
		myEOTableLolf.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableLolf.setLayout(new BorderLayout());
		viewTableLolf.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableLolf.removeAll();
		viewTableLolf.add(new JScrollPane(myEOTableLolf), BorderLayout.CENTER);

    }
    
	private final class CellEditor extends ZEOTableModelColumn.ZEONumFieldTableCellEditor {

		private  JTextField myTextField;

		public CellEditor(JTextField textField) {
			super(textField, CocktailFormats.FORMAT_DECIMAL);
		}

		public Component getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column) {

			myTextField = (JTextField) super.getTableCellEditorComponent(table, value, isSelected, row, column);

			if (column <2)
				return null;
			else	{                  	
				myTextField.setBorder(BorderFactory.createLineBorder(Color.RED));
				myTextField.setEditable(true);            
			}            	
			return myTextField;
		}
	}

}
